Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Compiling, Linking, Debugging of your packages » [BUG] GUI issue when importing build method
[BUG] GUI issue when importing build method [message #46781] Wed, 03 August 2016 11:44 Go to previous message
mikini is currently offline  mikini
Messages: 2
Registered: September 2014
Location: Tjæreborg, Denmark
Junior Member

I'm having a GUI issue when importing build methods using nightly build of theide.

Steps to reproduce:

1. Start theide
2. Load a project (like for example "AnimatedHello")
3. Go to Menu: "Settings->Build methods.."
4. Right click in the leftmost "Method" area, select "Import"
5. Choose a .bm file in the file dialog (I've tried several, seems not to influence the error, contents of the one that exhibits the issue for me is included below (why only one attached file pr. message?))
6. Click "Open"

After importing the .bm file the BM list is being populated with duplicate copies of the already existing build methods in addition to the newly imported one. Obviously when trying to "OK" this situation a sanity check fails reporting "Duplicate method". Here is a screenshot of the UI at this point;

index.php?t=getfile&id=5050&private=0

However, after canceling this locked situation in the build method and reentering the dialog, everything seems fine. Only one of each build method is present including the imported one and they can be used for building.

System information

I'm using upp-nightly ppa on Ubuntu 15.10 and have just updated to this night's packages.

$ dpkg -s upp theide
Package: upp
Status: install ok installed
Priority: optional
Section: devel
Installed-Size: 182110
Maintainer: Jan Dolinar <dolik.rce@seznam.cz>
Architecture: all
Version: 10137-1~wily0
Depends: theide, g++ (= 4.1) | g++ (>= 4.3), libx11-dev (>= 1.0.0), libxft-dev (>= 2.1.8), libpng12-dev (>= 1.2.8), libbz2-dev, libgtk2.0-dev (>= 2.8.17), libnotify-dev
Description: C++ library for cross-platform development
 Ultimate++ is a radical and innovative GUI toolkit whose number one priority
 is programmer productivity. C++ is a great programming language but
 C++ programmers are sometimes hampered by the lack of effective libraries.
 U++ libraries enable genuine productivity gains with shorter development
 times and greatly reduced application source code size.
Homepage: http://www.ultimatepp.org

Package: theide
Status: install ok installed
Priority: optional
Section: devel
Installed-Size: 14280
Maintainer: Jan Dolinar <dolik.rce@seznam.cz>
Architecture: amd64
Source: upp
Version: 10137-1~wily0
Replaces: upp (<= 2332)
Depends: libbz2-1.0, libc6 (>= 2.14), libcairo2 (>= 1.6.0), libfontconfig1 (>= 2.9.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.12.0), libgtk2.0-0 (>= 2.24.0), libpng12-0 (>= 1.2.13-4), libstdc++6 (>= 5.2), libx11-6, zlib1g (>= 1:1.1.4)
Recommends: sox
Description: IDE (not only) for Ultimate++ framework
 TheIDE introduces modular concepts to C++ programming. It features
 BLITZ-build technology to speedup C++ rebuilds up to 4 times, Visual
 designers for U++ libraries, Topic++ system for documenting code
 and creating rich text resources for applications (like help and code
 documentation) and Assist++ - a powerful C++ code analyzer that provides
 features like code completion, navigation and transformation.
Homepage: http://www.ultimatepp.org


GCC_i586.bm

(this is a BM for attempting to cross compile to a Yocto built embedded system, linking doesn't work for me yet, seems like theide uses some hardcoded linking options to crt*.o files which can't be found using this current BM, I might open a separate topic for this if I get stuck or find issues)
BUILDER = "GCC";
COMPILER = "i586-poky-linux-g++";
COMMON_OPTIONS = "-m32 -march=i586 --sysroot=/home/miki/poky/build/tmp/sysroots/ax12260";
COMMON_CPP_OPTIONS = "-std=c++11";
COMMON_C_OPTIONS = "";
COMMON_LINK = "";
COMMON_FLAGS = "";
DEBUG_INFO = "2";
DEBUG_BLITZ = "0";
DEBUG_LINKMODE = "1";
DEBUG_OPTIONS = "-O0";
DEBUG_FLAGS = "";
DEBUG_LINK = "";
RELEASE_BLITZ = "0";
RELEASE_LINKMODE = "1";
RELEASE_OPTIONS = "-O3 -ffunction-sections -fdata-sections";
RELEASE_FLAGS = "";
RELEASE_LINK = "-Wl,--gc-sections";
DEBUGGER = "gdb";
ALLOW_PRECOMPILED_HEADERS = "0";
DISABLE_BLITZ = "0";
PATH = "/home/miki/poky/build/tmp/sysroots/x86_64-linux/usr/bin/i586-poky-linux;/home/miki/poky/build/tmp/sysroots/x86_64-linux/usr/bin;/home/miki/poky/build/tmp/sysroots/x86_64-linux/usr/sbin;/home/miki/poky/build/tmp/sysroots/x86_64-linux/bin;/home/miki/poky/build/tmp/sysroots/x86_64-linux/sbin";
INCLUDE = "/home/miki/poky/build/tmp/sysroots/ax12260/usr/include;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/freetype2;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/glib-2.0;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/gtk-2.0;/home/miki/poky/build/tmp/sysroots/ax12260/usr/lib/glib-2.0/include;/home/miki/poky/build/tmp/sysroots/ax12260/usr/lib/gtk-2.0/include;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/cairo;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/pango-1.0;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/gdk-pixbuf-2.0;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/atk-1.0/";
LIB = "/home/miki/poky/build/tmp/sysroots/ax12260/usr/lib;/home/miki/poky/build/tmp/sysroots/ax12260/usr/include/glibc-locale-internal-i586-poky-linux/usr/lib/";
LINKMODE_LOCK = "0";



Mikkel
 
Read Message
Read Message
Previous Topic: <build_info.h> can't be included in .rc file
Next Topic: umk doubt
Goto Forum:
  


Current Time: Wed Dec 11 10:47:14 CET 2019

Total time taken to generate the page: 0.01101 seconds